---
title: Set.prototype.add()
slug: Web/JavaScript/Reference/Global_Objects/Set/add
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - Reference
  - set
---
<div>{{JSRef}}</div>

<p>The <strong><code>add()</code></strong> method appends a new element with a specified value to the end of a <code>Set</code> object.</p>

<div>{{EmbedInteractiveExample("pages/js/set-prototype-add.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>mySet</var>.add(<var>value</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>The value of the element to add to the <code>Set</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The <code>Set</code> object with added value.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_add_method">Using the add() method</h3>

<pre class="brush: js notranslate">var mySet = new Set();

mySet.add(1);
mySet.add(5).add('some text'); // chainable

console.log(mySet);
// Set [1, 5, "some text"]
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-set.prototype.add', 'Set.prototype.add')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Set.add")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Set")}}</li>
 <li>{{jsxref("Set.prototype.delete()")}}</li>
 <li>{{jsxref("Set.prototype.has()")}}</li>
</ul>
